For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Item object
          • GET/items
          • POST/items
          • GET/items/{id}
          • PATCH/items/{id}
          • GET/items/meta/patch/{id}
          • GET/items/meta/post
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsItems

/items

Beta
POST
/accounting/v1/items
POST
/api/accounting/v1/items
$curl -X POST https://api.merge.dev/api/accounting/v1/items \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "model": {}
>}'
201Created
1{
2 "model": {
3 "id": "d2f972d0-2526-434b-9409-4c3b468e08f0",
4 "remote_id": "12374",
5 "created_at": "2021-09-15T00:00:00Z",
6 "modified_at": "2021-10-16T00:00:00Z",
7 "name": "Pickleball Paddle",
8 "status": "ACTIVE",
9 "type": "INVENTORY",
10 "unit_price": 10,
11 "purchase_price": 25,
12 "purchase_account": "9871b4a9-f5d2-4f3b-a66b-dfedbed42c46",
13 "sales_account": "3872b4c9-f5d2-4f3b-a66b-dfedbed42c49",
14 "company": "595c8f97-2ac4-45b7-b000-41bdf43240b5",
15 "purchase_tax_rate": "983e8f97-9qw2-34v9-p123-67bdf98740v5",
16 "sales_tax_rate": "232c8f56-7se4-98f2-y334-12bdf89249f5",
17 "remote_updated_at": "2020-03-31T00:00:00Z",
18 "remote_was_deleted": true,
19 "field_mappings": {
20 "organization_defined_targets": {
21 "custom_key": "custom_value"
22 },
23 "linked_account_defined_targets": {
24 "custom_key": "custom_value"
25 }
26 },
27 "remote_data": [
28 {
29 "path": "/actions",
30 "data": null
31 }
32 ]
33 },
34 "warnings": [
35 {
36 "title": "Unrecognized Field",
37 "detail": "An unrecognized field, age, was passed in with request data.",
38 "problem_type": "UNRECOGNIZED_FIELD",
39 "source": {
40 "pointer": "/age"
41 },
42 "block_merge_link": true,
43 "raw_error": "string",
44 "error_code": 1
45 }
46 ],
47 "errors": [
48 {
49 "title": "Missing Required Field",
50 "detail": "custom_fields is a required field on model.",
51 "problem_type": "MISSING_REQUIRED_FIELD",
52 "source": {
53 "pointer": "/model/custom_fields"
54 },
55 "block_merge_link": true,
56 "raw_error": "string",
57 "error_code": 1
58 }
59 ],
60 "logs": [
61 {
62 "log_id": "99433219-8017-4acd-bb3c-ceb23d663832",
63 "dashboard_view": "https://app.merge.dev/logs/99433219-8017-4acd-bb3c-ceb23d663832",
64 "log_summary": {
65 "url": "www.exampleintegration.com/api/v1/exampleapi",
66 "method": "POST",
67 "status_code": 200
68 }
69 }
70 ]
71}

Creates an Item object with the given values.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/items

Next

/items/{id}

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

is_debug_modebooleanOptional

Whether to include debug fields (such as log file links) in the response.

run_asyncbooleanOptional

Whether or not third-party updates should be run asynchronously.

Request

This endpoint expects an object.
modelobjectRequired

Description

The Item object refers to the goods involved in a transaction.

Usage Example

Fetch from the LIST Items endpoint and view a company’s items.

Response

modelobject

Description

The Item object refers to the goods involved in a transaction.

Usage Example

Fetch from the LIST Items endpoint and view a company’s items.

warningslist of objects
errorslist of objects
logslist of objects